export interface Organisationseinheit {
  id: string;
  name: string;
  organisationseinheitIds: string[];
}

export interface OrganisationseinheitState {
  organisationseinheitItems: Organisationseinheit[];
  loading: boolean;
  updateRequired: boolean;
}

export enum OrganisationseinheitErrorType {
  NAME_CONFLICT = 'name-conflict',
  NAME_MISSING = 'name-missing',
  ID_MISSING = 'id-missing',
}

export interface OrganisationseinheitError {
  errorType: OrganisationseinheitErrorType;
  detail: string;
}
