import faker from '@faker-js/faker';
import { toResource } from 'libs/tech-shared/test/resource';
import { Document, DocumentResource } from '../lib/document.model';

export function createDocument(): Document {
  return {
    type: 'Bescheid',
    fileId: faker.internet.url(),
    nachrichtSubject: faker.datatype.string(10),
    nachrichtText: faker.lorem.text(),
  };
}

export function createDocumentResource(linkRel: string[] = []): DocumentResource {
  return toResource(createDocument(), linkRel);
}
