package de.ozgcloud.alfa.common;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@Configuration
@ConfigurationProperties(prefix = "ozgcloud.feature")
public class FeatureToggleProperties {

	/**
	 * Enable mail reply option regardless of other configuration.
	 */
	private boolean replyAlwaysAllowed = false;

	/**
	 * Enable collaboration-feature in Vorgang
	 */
	private boolean collaborationEnabled = false;
}
