package de.ozgcloud.alfa.common.user;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.test.context.support.WithMockUser;

import de.ozgcloud.common.test.ITCase;

@ITCase
class CurrentUserServiceITCase {

	@Autowired
	private CurrentUserService service;

	@Nested
	class TestHasRole {

		@WithMockUser(roles = "VERWALTUNG_LOESCHEN")
		@Test
		void shouldHaveUserRole() {
			var result = service.hasRole(UserRole.VERWALTUNG_USER);

			assertThat(result).isTrue();
		}
	}

}
