package de.ozgcloud.alfa.statistic;

public class ByStatusTestFactory {

	public static final int NEU_COUNT = 1;
	public static final int ANGENOMMEN_COUNT = 2;
	public static final int IN_BEARBEITUNG_COUNT = 3;
	public static final int BESCHIEDEN_COUNT = 4;
	public static final int ABGESCHLOSSEN_COUNT = 5;
	public static final int VERWORFEN_COUNT = 6;
	public static final int ZU_LOESCHEN_COUNT = 7;

	public static ByStatus create() {
		return createBuilder().build();
	}

	public static ByStatus.ByStatusBuilder createBuilder() {
		return ByStatus.builder()
				.neu(NEU_COUNT)
				.angenommen(ANGENOMMEN_COUNT)
				.inBearbeitung(IN_BEARBEITUNG_COUNT)
				.beschieden(BESCHIEDEN_COUNT)
				.abgeschlossen(ABGESCHLOSSEN_COUNT)
				.verworfen(VERWORFEN_COUNT)
				.zuLoeschen(ZU_LOESCHEN_COUNT);
	}
}