package de.ozgcloud.alfa.kommentar;

import java.util.List;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.xoev.xdomea.DokumentType;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Builder
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
public class KommentarsExportData {

	@Singular
	private List<DokumentType> dokumentTypes;
	@Singular
	private List<OzgFile> attachments;
}
