import { StateResource } from '@alfa-client/tech-shared';
import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { PostfachResource } from '../postfach.model';
import { PostfachService } from '../postfach.service';

@Component({
  selector: 'admin-postfach-container',
  templateUrl: './postfach-container.component.html',
})
export class PostfachContainerComponent implements OnInit {
  postfachStateResource$: Observable<StateResource<PostfachResource>>;

  constructor(private postfachService: PostfachService) {}

  ngOnInit(): void {
    this.postfachStateResource$ = this.postfachService.get();
  }
}
