import { Component, Input } from '@angular/core';
import { ApiRootLinkRel, ApiRootResource } from '@alfa-client/api-root-shared';
import { StateResource, createEmptyStateResource } from '@alfa-client/tech-shared';

@Component({
  selector: 'alfa-vorgang-list-search',
  templateUrl: './vorgang-list-search.component.html',
  styleUrls: ['./vorgang-list-search.component.scss'],
})
export class VorgangListSearchComponent {
  @Input() apiRootStateResource: StateResource<ApiRootResource> = createEmptyStateResource();

  readonly apiRootLinkRel = ApiRootLinkRel;
}
