package de.ozgcloud.alfa.historie;

import java.util.List;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Builder(toBuilder = true)
@Getter
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class VorgangChangeHistory {

	private List<VorgangChange> statusChangeHistory;
	private List<VorgangChange> aktenzeichenChangeHistory;
	private List<VorgangChange> assignedUserChangeHistory;
}
