package de.ozgcloud.alfa.common.attacheditem;

import de.ozgcloud.alfa.vorgang.GrpcVorgangAttachedItemTestFactory;
import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcFindVorgangAttachedItemResponse;
import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcVorgangAttachedItem;

public class GrpcFindVorgangAttachedItemResponseTestFactory {

	public static final GrpcVorgangAttachedItem VORGANG_ATTACHED_ITEM = GrpcVorgangAttachedItemTestFactory.create();

	public static GrpcFindVorgangAttachedItemResponse create() {
		return createBuilder().build();
	}

	public static GrpcFindVorgangAttachedItemResponse.Builder createBuilder() {
		return GrpcFindVorgangAttachedItemResponse.newBuilder().addVorgangAttachedItems(VORGANG_ATTACHED_ITEM);
	}
}
