package de.ozgcloud.alfa.export;

import java.util.Set;

import de.ozgcloud.alfa.common.file.OzgFile;
import de.xoev.xdomea.AbgabeAbgabe0401;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

@Builder
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@Getter
class ExportData {

	private String exportFilename;
	private AbgabeAbgabe0401 abgabe;
	private Set<OzgFile> exportFiles;

}
